[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

kde4libs_4.6.2-1_source+amd64.changes is NEW

  to main/k/kde4libs/kde4libs_4.6.2-1.debian.tar.gz
  to main/k/kde4libs/kde4libs_4.6.2-1.dsc
  to main/k/kde4libs/kde4libs_4.6.2.orig.tar.bz2
  to main/k/kde4libs/kdelibs-bin_4.6.2-1_amd64.deb
  to main/k/kde4libs/kdelibs5-data_4.6.2-1_all.deb
  to main/k/kde4libs/kdelibs5-dbg_4.6.2-1_amd64.deb
  to main/k/kde4libs/kdelibs5-dev_4.6.2-1_amd64.deb
  to main/k/kde4libs/kdelibs5-plugins_4.6.2-1_amd64.deb
  to main/k/kde4libs/kdoctools_4.6.2-1_amd64.deb
(new) libkatepartinterfaces4_4.6.2-1_amd64.deb optional libs
kate part library
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 This package is part of the KDE Development Platform libraries module.
(new) libkcmutils4_4.6.2-1_amd64.deb optional libs
utility classes for using KCM modules
 This library provides utility classes for using KCM modules
 in a KDE application.
 This package is part of the KDE Development Platform libraries module.
  to main/k/kde4libs/libkde3support4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkdecore5_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkdesu5_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkdeui5_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkdewebkit5_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkdnssd4_4.6.2-1_amd64.deb
(new) libkemoticons4_4.6.2-1_amd64.deb optional libs
utility classes to deal with emoticon themes
 This library provides utility classes to deal with emoticon
 themes in KDE applications. It provides classes to load emoticon
 themes from various sources as well as install new themes.
 This package is part of the KDE Development Platform libraries module.
  to main/k/kde4libs/libkfile4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkhtml5_4.6.2-1_amd64.deb
(new) libkidletime4_4.6.2-1_amd64.deb optional libs
library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
 This package is part of the KDE Development Platform libraries module.
  to main/k/kde4libs/libkimproxy4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkio5_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkjsapi4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkjsembed4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkmediaplayer4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libknewstuff2-4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libknewstuff3-4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libknotifyconfig4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkntlm4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkparts4_4.6.2-1_amd64.deb
(new) libkprintutils4_4.6.2-1_amd64.deb optional libs
utility classes to deal with printing
 This library is meant to provide utility classes for using printing features
 in KDE applications. Currently it only provides a print preview dialog.
 This package is part of the KDE Development Platform libraries module.
  to main/k/kde4libs/libkpty4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkrosscore4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkrossui4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libktexteditor4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkunitconversion4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libkutils4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libnepomuk4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libnepomukquery4a_4.6.2-1_amd64.deb
(new) libnepomukutils4_4.6.2-1_amd64.deb optional libs
Nepomuk Utility Library
 Nepomuk aims to provide the basis to handle all kinds of metadata on the KDE
 desktop in a generic fashion. This ranges from simple information such as tags
 or ratings over metadata extracted from files to metadata that is generated by
 applications automatically. RDF, the Resource Description Framework, provides
 the powerful basis to store and query all this data. The goal is to categorize
 all metadata using clean ontologies to make an automated handling and
 enrichment of the data possible.
 This library implements the Nepomuk utility functionality.
 This package is part of the KDE Development Platform libraries module.
  to main/k/kde4libs/libplasma3_4.6.2-1_amd64.deb
  to main/k/kde4libs/libsolid4_4.6.2-1_amd64.deb
  to main/k/kde4libs/libthreadweaver4_4.6.2-1_amd64.deb
Changes: kde4libs (4:4.6.2-1) experimental; urgency=low
  * New upstream release:
    - fixes VHDL syntax highlighting with large files (Closes: #533727)
    - fixes "Common Lisp" being categorized as "script" instead of "source"
      for syntax highlighting (Closes: #486342)
    - replaces "<qt>" tags with "<html>" tags in desktop notifications
      (Closes: #580229)
    - fixes strigi using 100% cpu load when suspended (Closes: #585117)
    - fixes QPainter error message flood in khtml (Closes: #598975)
    - kio_ftp can copy 0 bytes (empty) files (Closes: #550121)
    - kio_ftp supports FTP URL typecodes (Closes: #277792)
    - fix printing of a HTML file with KHTML (Closes: #415559)
  * Update installed files.
  * Update symbol files.
  * Refresh patches.
  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Drop kdelibs5 transitional package.
  * Remove sequence numbers from debian/patches.
  * Drop kaboom support, no longer needed.
  * Remove ~/.kde4 -> ~/.kde transition templates, no longer needed.
  * Set ENABLE_LIBKDEINIT_RUNPATH to ON if build type is Debian
    (patch make_libkdeinit4_private.diff altered).
  * Require pkg-kde-tools 0.12 due to ENABLE_LIBKDEINIT_RUNPATH change above.
  * Pass required kdelibs cmake flags to dh_auto_configure.
    qt-kde-team/2/debian-qt-kde.mk no longer passes them implicitly.
  * Remove a deprecated link to the BSD license from debian/copyright.
  * Drop redundant kjscmd from kdelibs5-data Conflicts.
  * Do not use asterisk in kdelibs5-data.NEWS.
  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Adjust build dependencies:
    - Bump required cmake version to 2.6.4.
    - Add build dependencies on:
      - libdbusmenu-qt-dev
      - docbook-xml
      - docbook-xsl
      - libxrender-dev
      - libkrb5-dev
    - Remove unused build dependencies:
      - libcups2-dev
      - libdbus-1-dev
      - libasound2-dev
      - libkeyutils-dev
      - xsltproc
      - libxcursor-dev
      - libxtst-dev
  * Add packages for the new libararies: libkatepartinterfaces4,
    libkcmutils4, libkidletime4, libkemoticons4, libkprintutils4.
  * Add symbol files for the new libraries.
  * Remove libkutils4.symbols as kutils is now a dummy
    transitional library with no symbols.
  * Add docbook-xml dependency on the kdoctools package,
    as it is required for building all of kde's documentation.
  * Bump kdebase-runtime Breaks/Recommends to version 4.6.
  [ Didier Raboud ]
  * Adjust build-dependencies:
    - Bump required:
      - Qt to 4:4.7.0.
      - libattica to 0.1.90.
      - soprano to 2.5.60.
      - polkit-qt-1 to 0.99.0.
      - shared-desktop-ontologies to 0.5.
    - Add build dependencies on:
      - libudev-dev
      - libqtwebkit-dev
  * Add libnepomukutils4 package.
  [ Pino Toscano ]
  * Make libknewstuff2-4 and libknewstuff3-4 recommend gnupg, as they can use
    `gpg' for checking validity and signatures of downloaded content.
  * Add docbook-xsl dependency on the kdoctools package, for same reason as
  * Improve Depends and Recommends of libsolid:
    - Linux archs: depend on udev, and recommend udisks and upower
    - non-Linux archs: depend on hal
  * Drop patch 28_find_old_kde4_html_documentation.diff, which was temporary
    for migration to Squeeze.
  [ José Manuel Santamaría Lema ]
  * Disable 23_solid_no_double_build.diff, produces FTBFS.
  * kdelibs5-data breaks/replaces kdebase-runtime-data (<< 4:4.5.85).
  * Moved Qt Designer plugins to kdelibs5-plugins, they could be used by plasma
    js bindings to dynamically create ui files. Thanks to Pino Toscano for
    pointing the problem.
  * Drop pre-squeeze Replaces/Breaks whenever possible.
  * Update lintian overrides.
  * Remove articles from short descriptions.
  * Add myself to Uploaders.

Override entries for your package:
kde4libs_4.6.2-1.dsc - source libs
kdelibs-bin_4.6.2-1_amd64.deb - optional libs
kdelibs5-data_4.6.2-1_all.deb - optional libs
kdelibs5-dbg_4.6.2-1_amd64.deb - extra debug
kdelibs5-dev_4.6.2-1_amd64.deb - optional libdevel
kdelibs5-plugins_4.6.2-1_amd64.deb - optional libs
kdoctools_4.6.2-1_amd64.deb - optional libs
libkde3support4_4.6.2-1_amd64.deb - optional libs
libkdecore5_4.6.2-1_amd64.deb - optional libs
libkdesu5_4.6.2-1_amd64.deb - optional libs
libkdeui5_4.6.2-1_amd64.deb - optional libs
libkdewebkit5_4.6.2-1_amd64.deb - optional libs
libkdnssd4_4.6.2-1_amd64.deb - optional libs
libkfile4_4.6.2-1_amd64.deb - optional libs
libkhtml5_4.6.2-1_amd64.deb - optional libs
libkimproxy4_4.6.2-1_amd64.deb - optional libs
libkio5_4.6.2-1_amd64.deb - optional libs
libkjsapi4_4.6.2-1_amd64.deb - optional libs
libkjsembed4_4.6.2-1_amd64.deb - optional libs
libkmediaplayer4_4.6.2-1_amd64.deb - optional libs
libknewstuff2-4_4.6.2-1_amd64.deb - optional libs
libknewstuff3-4_4.6.2-1_amd64.deb - optional libs
libknotifyconfig4_4.6.2-1_amd64.deb - optional libs
libkntlm4_4.6.2-1_amd64.deb - optional libs
libkparts4_4.6.2-1_amd64.deb - optional libs
libkpty4_4.6.2-1_amd64.deb - optional libs
libkrosscore4_4.6.2-1_amd64.deb - optional libs
libkrossui4_4.6.2-1_amd64.deb - optional libs
libktexteditor4_4.6.2-1_amd64.deb - optional libs
libkunitconversion4_4.6.2-1_amd64.deb - optional libs
libkutils4_4.6.2-1_amd64.deb - optional libs
libnepomuk4_4.6.2-1_amd64.deb - optional libs
libnepomukquery4a_4.6.2-1_amd64.deb - optional libs
libplasma3_4.6.2-1_amd64.deb - optional libs
libsolid4_4.6.2-1_amd64.deb - optional libs
libthreadweaver4_4.6.2-1_amd64.deb - optional libs

Announcing to debian-devel-changes@lists.debian.org
Closing bugs: 277792 415559 486342 533727 550121 580229 585117 598975 

Your package contains new components which requires manual editing of
the override file.  It is ok otherwise, so please be patient.  New
packages are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above
if files already exist in other distributions.

Reply to: